Subject: [git pull] Please pull powerpc.git merge branch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 10 Aug 2009 16:58:29 +1000

Hi Linus !

This is a simple enough fix that I decided was worth having now, it
basically allow "direct" DMA (non-iommu) to work for devices that have a
< 32-bit DMA mask (such as some infamous broadcom wireless chips) when
the machine simply has not enough memory to go over the chip addressing
limit. This fixes various smallish G5 (like old iMac G5) wireless.

The following changes since commit f4b9a988685da6386d7f9a72df3098bcc3270526:
  Linus Torvalds (1):
        Merge branch 'for-linus' of git://git.infradead.org/ubi-2.6

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc.git merge

Benjamin Herrenschmidt (1):
      powerpc/dma: pci_set_dma_mask() shouldn't fail if mask fits in RAM

 arch/powerpc/kernel/dma.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)